<!DOCTYPE html>
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}
<html lang="en">
    <head>
    <meta charset="utf-8" />
    <title>Módulo de Docentes por Curso - Universidad de Lambayeque</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-modal.js' %}"></script>

    <link href="{% static 'custom/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'admin/bootstrap/css/bootstrap-responsive.css' %}" />
    <style type="text/css">
    body {
        padding-top: 80px;
        padding-bottom: 40px;
        font-size: 13px;
    }
    .alert {
        color: black;
        margin-bottom: 5px;
    }
    .alert2 {
        background: #FFF373;
        border-color: #F5F3B4;
    }
    .well2 {
        background: white;
    }
    table td.colcenter, table th.colcenter {
         text-align:center;
    }

    table .alert {
        margin-bottom: 0;
        padding-bottom: 0;
    }
    h5 {
        margin: 5px 0;
    }
    table td {
        margin: 5px 0;
    }
    #sidebar {
        width: 15%;
        position: fixed;
    }
    table td h6 {
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .form-horizontal .control-group {
        margin-bottom: 5px;
    }
    /* Widget Celda */
    div.widget {
        overflow: hidden;
        border: 1px solid #5c5c5c;
        color: #121212;
        background-color: #fea;
        box-shadow: 0 0 15px rgba(0,0,0,0.05) inset, 0 0 4px rgba(0,0,0,0.1);
        border-radius: 3px;
        max-width: 210px;
        height: 100%;
        cursor: pointer;
    }
    div.widget h3 {
            margin: 0;
            border: none;
            font-size: 0.8em;
            outline: none;
            line-height: 1.6em;
            padding: 5px 10px;
            border-bottom: 1px solid rgba(37,37,37,0.6);
            text-align: center;
    }
    div.widget p {
            outline: none;
            line-height: 1.6em;
            padding: 0.2em;
            font-size: 0.8em;
            text-align: center;
            margin: 0.3em;
    }
    div.widget p.aviso {    
        padding: 0.2em 0.4em;
        margin: 0 0.5em 0.5em;
        color: #fff;
        border-radius: 0.6em;
        background: #5c5c5c;
        font-size: 0.7em;
    }
    /* Loading */
    #loader {
        background: #FFF373;
        border: 1px solid #F5F3B4;
        border-radius: 3px;
        left: 570px;
        padding: 5px;
        position: relative;
        text-align: center;
        top: -390px;
        width: 130px;
        z-index: 9999;
    }
    </style>
    <style type="text/css">
    .ui-selectee { width: 80px; height: 35px; text-align: center; }
    .ui-selecting { background: #ccffee; }
    .ui-selected { background: #cceeff; }
    </style>
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <script type="text/javascript">
    $(document).ready(function($) {
    
        docentes = new Array();

        {% for doc in docentes %}
            docentes['{{ doc.id }}'] = '{{ doc.ApellidoPaterno }} {{ doc.ApellidoMaterno }} {{ doc.Nombres }}';
        {% endfor %}
        
        $('#lstCarrera').change(function() {
            $('#changelist-search').submit();
        });

        $('#lstCiclo').change(function() {
            $('#changelist-search').submit();
        });

        $('select[name="lstdocentes"]').focus(function(){
            docente_inicial = $(this).attr('value');
	}).change(function() {
                var id_docente = $(this).attr('value');
                var id_curso = $(this).attr('id');
                $('#guardando_' + id_curso).show();
                var mypost = {};
                mypost['consulta'] = id_curso + '-' + id_docente + '-' + docente_inicial;
                $.ajax({
                    url: "grabar_docente/",
                    type: "POST",
                    data: mypost,
                    success: function(resp) {
                        datos = resp.split('|');
                        if(datos[0] == 0){
                            alert(datos[1]);
                        }else{
                            $('#docentecurso_' + id_curso ).empty();
                            $('#docentecurso_' + id_curso ).html(datos[1]);
                            $('#docentecurso_' + id_curso ).show();
                            $('#'+datos[2]).hide();
                            $('#'+datos[2]).empty();
                            $('#guardando_' + id_curso).hide();
                            $('#' + datos[2] + '_' + datos[4]).show();
                            $('#' + datos[2] + '_' + datos[4]).attr('id',datos[2] + '_' + datos[3]);
                            $('#cancel_' + datos[2]).hide();
                        }
                    },
                    error: function (data, status, e){
                        alert('Error comunicándose con el servicio');
                    },
                });
        });
        
        $('a[name="editar_docente"]').click(function(e) {
                e.preventDefault();
                var id_docente = $(this).attr('id').split('_')[1];
                var id_periodocurso = $(this).attr('id').split('_')[0];
                var select_docente = $('#' + id_periodocurso);
                $('#docentecurso_' + id_periodocurso).hide();
                $('#cancel_' + id_periodocurso).show();
                select_docente.show();
                select_docente.empty();
                for (var d in docentes){
                    if ( id_docente == d){
                        var opcion = "<option value='" + d + "' selected = 'selected'>" + docentes[d] + "</option>";
                    }else{
                        var opcion = "<option value='" + d + "'>" + docentes[d] + "</option>";
                    }
                    select_docente.append(opcion);
                }
                $(this).hide();
        });
        
        $('a[name="cancelar_edicion"]').click(function(e) {
                e.preventDefault();
                var cancelar = $('a[name="cancelar_edicion"]');
                var indice = cancelar.index($(this));
                var id_periodocurso = $(this).attr('id').split('_')[1];
                var select_docente = $('#' + id_periodocurso);
                select_docente.hide();
                select_docente.empty();
                $(this).hide();
                $('a[name="editar_docente"]').eq(indice).show();
                $('#docentecurso_' + id_periodocurso).show();
        });
        
    });
</script>
  </head>

  <body>

    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container-fluid">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="#">
              <img src="{% static 'uploads/icon64x64.png' %}" width="32"/>
              Cursos Semestre Académico {{ periodo }}
          </a>
          <ul class="nav pull-right">
              <li><span class="btn btn-small"><i class="icon-user"></i> Bienvenido(a),<strong> {{ user.first_name }}</strong>
            </span></li>
              <li class="divider-vertical"></li>
              <li><a href="/admin/logout/"><i class="icon-off"></i> Salir del sistema</a></li>
          </ul>
        </div>
      </div>
    </div>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="span2">
                <div id="sidebar">
                    
                    <ul class="breadcrumb">
                        <li><a href="/admin/">Inicio</a> <span class="divider">/</span></li>
                        <li class="active">Doc. Sem. Acad.</li>
                    </ul>

                    <h5><i class=" icon-search"></i> Filtro</h5>
                    <form action="" id="changelist-search" method="get">
                    <input name='p' type="hidden" value="{{ periodo.id }}"/>
                    <select name='c' id="lstCarrera" class="span12">
                        <option value="">-- Seleccione Carrera --</option>
                        {% for car in carreras %}
                            <option {% if query1 == car.id|escape %}selected="selected"{% endif %} value="{{ car.id }}">{{ car.Carrera }}</option>
                        {% endfor %}
                    </select>

                    <select name='n' id="lstCiclo" class="span12">
                        <option value="">-- Seleccione Ciclo --</option>
                        {% for c in ciclos %}
                            <option {% if query2 == c|escape %}selected="selected"{% endif %} value="{{ c }}">{{ c }} ºCiclo</option>
                        {% endfor %}
                    </select>

                    <input name='q' type="text" class="span12" placeholder="Busque por Curso o Docente" value="{{ query|escape }}" />
                    <input type="submit" id="btnBuscar" class="btn btn-primary btn-small btn-block" value="Buscar" />
                    </form>

                    <h5><i class="icon-list-alt"></i> Acciones</h5>

                    <p><a id="btnDescargar" class="btn btn-primary btn-small btn-block" href="descargar/?p={{ periodo.id }}"><i class="icon-download icon-white"></i> Descargar Cursos Semestre</a></p>

                    <div class="alert alert2">
                          <strong><i class="icon-info-sign"></i> Ayuda:</strong><br>
                          <ul>

                            <li><u>Busque,</u> usando el filtro por aulas, carrera y ciclo en la parte superior.</li>

                          </ul>
                    </div>

                    <div id="loader" style="display: none;">
                        <strong><i class="ixcon-refresh"></i> <img width="16" src="{% static 'uploads/loader.gif' %}"/> Cargando datos</strong>
                    </div>

                </div>
            </div>
            <div class="span10">

                <table id="gridDocente" class="table table-bordered table-condensed table-hover table-striped">
                <caption style="margin-bottom: 0.8em;">
                     <div class="navbar" >
                        <div class="navbar-inner">
                            <h4>
                                Cursos Semestre {{ periodo }} ({{ n_cursos }} listados)
                            </h4>
                        </div>
                    </div>
                </caption>
                <thead>
                  <tr>
                    <th class="colcenter">Nº</th>
                    <th class="colcenter">Grupo</th>
                    <th class="colcenter">Código</th>
                    <th class="colcenter">Curso</th>
                    <th class="colcenter">Ciclo</th>
                    <th class="colcenter">Carrera</th>
                    <th class="colcenter">Docente</th>
                    <th class="colcenter" colspan="2">Sílabo</th>
                    <th class="colcenter" >Matriculados</th>
                    <th class="colcenter" >Avance Silábico</th>
                  </tr>
                </thead>
                <tbody>
                  {% for cur in results %}
                  <tr>
                    <th class="colcenter">{{ forloop.counter }}</th>
                    <th class="colcenter">{{ cur.Grupo }}</th>
                    <td class="colcenter">{{ cur.Curso.Codigo }}</td>
                    <td class="">{{ cur.Curso.Nombre }}</td>
                    <td class="colcenter">{{ cur.Curso.Ciclo }}º</td>
                    <td class="colcenter">{{ cur.Curso.Carrera.Codigo }}</td>
                    <td class="">
                        {% if perms.Horarios.change_horario %}
                        <a name='editar_docente' class="btn btn-mini btn-primary" id='{{ cur.id }}_{{ cur.Docente.id }}' type='button' href="#"><i class="icon-pencil icon-white"></i></a>
                        {% endif %}
                        <a name='cancelar_edicion' class="btn btn-mini btn-danger" id='cancel_{{ cur.id }}' type='button' href="#" style="display:none;"><i class="icon-remove icon-white"></i></a>
                        <span id = 'docentecurso_{{ cur.id }}' title='{{ cur.Docente }}'>{{ cur.Docente }}</span>
                        <div id="guardando_{{ cur.id }}" style="display:none; color: green;"><img width="16" src="{% static 'uploads/loader.gif' %}"/></div>
                        <select name='lstdocentes' class="span10" id='{{ cur.id }}' style="display: none; padding:0;margin:0;"></select>
                        
                    </td>
                    {% if cur.silabocurso_set.all %}
                        <td class="colcenter"><span class="label label-success">SI</span></td>
                        <td class="colcenter"><a class="btn btn-mini" href="/docente/profile/ver_silabo/{{ cur.id }}/descargar/" title="Descargar Sílabo"><i class="icon-download-alt"></i></a></td>
                    {% else %}
                        <td class="colcenter"><span class="label label-important">NO</span></td>
                        <td class="colcenter"><a class="btn btn-mini disabled" href="javascript:void(0);" title="No hay sílabo para su descarga"><i class="icon-download-alt"></i></a></td>
                    {% endif %}
                    <td class="colcenter"><a class="btn btn-mini" href="../{{ cur.id }}/matriculados_excel/" title="Descargar Matriculados"><i class="icon-download-alt"></i></a></td>
                    <td class="colcenter"><a class="btn btn-mini" href="../{{ cur.id }}/avance_silabico/" title="Descargar Avance Silábico"><i class="icon-download-alt"></i></a></td>
                  </tr>
                  {% endfor %}
                </tbody>
                </table>

            </div>
        </div>
    </div> <!-- /container -->

    <script>

    </script>

</body></html>
